> ## Documentation Index
> Fetch the complete documentation index at: https://docs.animusai.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update character



## OpenAPI

````yaml api-reference/openapi.json put /characters/{character_id}
openapi: 3.1.0
info:
  version: 2.0.0
  title: Animus API
  description: >-
    Animus' API provides you with a variety of AI-driven capabilities. From
    generating text with our advanced large language models to creating
    customized content schedules, our API's applications are vast and versatile.

    Whether it's facilitating seamless conversation through predictive response
    or simulating a comprehensive content calendar, our advanced functionalities
    can cater to an array of feature requirements.
servers:
  - url: https://api.animusai.co/v2
security: []
paths:
  /characters/{character_id}:
    put:
      tags:
        - Character
      summary: Update character
      operationId: updateCharacter
      parameters:
        - name: character_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CharacterUpdateRequest'
      responses:
        '200':
          description: Updated character.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Character'
      security:
        - bearerAuth: []
components:
  schemas:
    CharacterUpdateRequest:
      type: object
      properties:
        name:
          type: string
        description:
          type: string
    Character:
      type: object
      properties:
        character_id:
          type: string
        organization_id:
          type: string
        creator_id:
          type: string
        name:
          type: string
        description:
          type: string
        status:
          type: string
        current_step:
          type: integer
        face_images_count:
          type: integer
        body_images_count:
          type: integer
        dataset_status:
          type: string
        face_lora_status:
          type: string
        body_lora_status:
          type: string
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        subscription_id:
          type:
            - string
            - 'null'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````